Mailinglist Archive: opensuse-commit (1857 mails)

< Previous Next >
commit build for openSUSE:Factory

Hello community,

here is the log from the commit of package build for openSUSE:Factory
checked in at Tue Sep 27 16:07:59 CEST 2011.



--------
--- build/build.changes 2011-08-07 22:05:03.000000000 +0200
+++ /mounts/work_src_done/STABLE/build/build.changes 2011-09-26
22:36:54.000000000 +0200
@@ -1,0 +2,7 @@
+Mon Sep 26 20:33:59 UTC 2011 - adrian@xxxxxxx
+
+- fixing kvm cpuid setting for AMD and Intel CPU's
+- support new xen tools
+- fixed qemu build initialisation
+
+-------------------------------------------------------------------

calling whatdependson for head-i586


Old:
----
build-2011.07.01.tar.gz

New:
----
build-2011.09.26.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ build-mkbaselibs-sle.spec ++++++
--- /var/tmp/diff_new_pack.uKKTFI/_old 2011-09-27 16:07:53.000000000 +0200
+++ /var/tmp/diff_new_pack.uKKTFI/_new 2011-09-27 16:07:53.000000000 +0200
@@ -23,8 +23,8 @@
Group: Development/Tools/Building
AutoReqProv: on
Summary: Tools to generate base lib packages
-Version: 2011.07.01
-Release: 2
+Version: 2011.09.26
+Release: 0
#!BuildIgnore: build-mkbaselibs
Provides: build-mkbaselibs
Source: build-%{version}.tar.gz

++++++ build.spec ++++++
--- /var/tmp/diff_new_pack.uKKTFI/_old 2011-09-27 16:07:53.000000000 +0200
+++ /var/tmp/diff_new_pack.uKKTFI/_new 2011-09-27 16:07:53.000000000 +0200
@@ -23,8 +23,8 @@
Group: Development/Tools/Building
AutoReqProv: on
Summary: A Script to Build SUSE Linux RPMs
-Version: 2011.07.01
-Release: 3
+Version: 2011.09.26
+Release: 0
#!BuildIgnore: build-mkbaselibs
Source: build-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
@@ -100,6 +100,11 @@
%if 0%{?suse_version}
%if 0%{?sles_version}
ln -s sles%{sles_version}.conf default.conf
+%if 0%{?sles_version} < 12
+ # use sle variation with IA64 compat package generation
+ install -m 0644 baselibs_global-sle.conf \
+ $RPM_BUILD_ROOT/usr/lib/build/baselibs_global.conf
+%endif
%else
V=%suse_version
ln -s sl${V:0:2}.${V:2:1}.conf default.conf

++++++ _service ++++++
--- /var/tmp/diff_new_pack.uKKTFI/_old 2011-09-27 16:07:53.000000000 +0200
+++ /var/tmp/diff_new_pack.uKKTFI/_new 2011-09-27 16:07:53.000000000 +0200
@@ -1,6 +1,6 @@
<services>
<service name="tar_scm" mode="disabled">
- <param name="version">2011.07.01</param>
+ <param name="version">2011.09.26</param>
<param name="url">git://gitorious.org/opensuse/build.git</param>
<param name="scm">git</param>
</service>

++++++ build-2011.07.01.tar.gz -> build-2011.09.26.tar.gz ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/HEAD
new/build-2011.09.26/.git/HEAD
--- old/build-2011.07.01/.git/HEAD 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/.git/HEAD 1970-01-01 01:00:00.000000000 +0100
@@ -1 +0,0 @@
-ref: refs/heads/master
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/config
new/build-2011.09.26/.git/config
--- old/build-2011.07.01/.git/config 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/.git/config 1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
-[core]
- repositoryformatversion = 0
- filemode = true
- bare = false
- logallrefupdates = true
-[remote "origin"]
- fetch = +refs/heads/*:refs/remotes/origin/*
- url = git://gitorious.org/opensuse/build.git
-[branch "master"]
- remote = origin
- merge = refs/heads/master
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/description
new/build-2011.09.26/.git/description
--- old/build-2011.07.01/.git/description 2011-07-01 09:25:56.000000000
+0200
+++ new/build-2011.09.26/.git/description 1970-01-01 01:00:00.000000000
+0100
@@ -1 +0,0 @@
-Unnamed repository; edit this file 'description' to name the repository.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/applypatch-msg.sample
new/build-2011.09.26/.git/hooks/applypatch-msg.sample
--- old/build-2011.07.01/.git/hooks/applypatch-msg.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/applypatch-msg.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to check the commit log message taken by
-# applypatch from an e-mail message.
-#
-# The hook should exit with non-zero status after issuing an
-# appropriate message if it wants to stop the commit. The hook is
-# allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "applypatch-msg".
-
-. git-sh-setup
-test -x "$GIT_DIR/hooks/commit-msg" &&
- exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
-:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/commit-msg.sample
new/build-2011.09.26/.git/hooks/commit-msg.sample
--- old/build-2011.07.01/.git/hooks/commit-msg.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/commit-msg.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,24 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to check the commit log message.
-# Called by "git commit" with one argument, the name of the file
-# that has the commit message. The hook should exit with non-zero
-# status after issuing an appropriate message if it wants to stop the
-# commit. The hook is allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "commit-msg".
-
-# Uncomment the below to add a Signed-off-by line to the message.
-# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
-# hook is more suited to it.
-#
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
-
-# This example catches duplicate Signed-off-by lines.
-
-test "" = "$(grep '^Signed-off-by: ' "$1" |
- sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
- echo >&2 Duplicate Signed-off-by lines.
- exit 1
-}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/post-commit.sample
new/build-2011.09.26/.git/hooks/post-commit.sample
--- old/build-2011.07.01/.git/hooks/post-commit.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/post-commit.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,8 +0,0 @@
-#!/bin/sh
-#
-# An example hook script that is called after a successful
-# commit is made.
-#
-# To enable this hook, rename this file to "post-commit".
-
-: Nothing
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/post-receive.sample
new/build-2011.09.26/.git/hooks/post-receive.sample
--- old/build-2011.07.01/.git/hooks/post-receive.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/post-receive.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
-#!/bin/sh
-#
-# An example hook script for the "post-receive" event.
-#
-# The "post-receive" script is run after receive-pack has accepted a pack
-# and the repository has been updated. It is passed arguments in through
-# stdin in the form
-# <oldrev> <newrev> <refname>
-# For example:
-# aa453216d1b3e49e7f6f98441fa56946ddcd6a20
68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
-#
-# see contrib/hooks/ for a sample, or uncomment the next line and
-# rename the file to "post-receive".
-
-#. /usr/share/doc/git-core/contrib/hooks/post-receive-email
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/post-update.sample
new/build-2011.09.26/.git/hooks/post-update.sample
--- old/build-2011.07.01/.git/hooks/post-update.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/post-update.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,8 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to prepare a packed repository for use over
-# dumb transports.
-#
-# To enable this hook, rename this file to "post-update".
-
-exec git update-server-info
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/pre-applypatch.sample
new/build-2011.09.26/.git/hooks/pre-applypatch.sample
--- old/build-2011.07.01/.git/hooks/pre-applypatch.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/pre-applypatch.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,14 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to verify what is about to be committed
-# by applypatch from an e-mail message.
-#
-# The hook should exit with non-zero status after issuing an
-# appropriate message if it wants to stop the commit.
-#
-# To enable this hook, rename this file to "pre-applypatch".
-
-. git-sh-setup
-test -x "$GIT_DIR/hooks/pre-commit" &&
- exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
-:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/pre-commit.sample
new/build-2011.09.26/.git/hooks/pre-commit.sample
--- old/build-2011.07.01/.git/hooks/pre-commit.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/pre-commit.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,46 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to verify what is about to be committed.
-# Called by "git commit" with no arguments. The hook should
-# exit with non-zero status after issuing an appropriate message if
-# it wants to stop the commit.
-#
-# To enable this hook, rename this file to "pre-commit".
-
-if git rev-parse --verify HEAD >/dev/null 2>&1
-then
- against=HEAD
-else
- # Initial commit: diff against an empty tree object
- against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
-fi
-
-# If you want to allow non-ascii filenames set this variable to true.
-allownonascii=$(git config hooks.allownonascii)
-
-# Cross platform projects tend to avoid non-ascii filenames; prevent
-# them from being added to the repository. We exploit the fact that the
-# printable range starts at the space character and ends with tilde.
-if [ "$allownonascii" != "true" ] &&
- # Note that the use of brackets around a tr range is ok here, (it's
- # even required, for portability to Solaris 10's /usr/bin/tr), since
- # the square bracket bytes happen to fall in the designated range.
- test "$(git diff --cached --name-only --diff-filter=A -z $against |
- LC_ALL=C tr -d '[ -~]\0')"
-then
- echo "Error: Attempt to add a non-ascii file name."
- echo
- echo "This can cause problems if you want to work"
- echo "with people on other platforms."
- echo
- echo "To be portable it is advisable to rename the file ..."
- echo
- echo "If you know what you are doing you can disable this"
- echo "check using:"
- echo
- echo " git config hooks.allownonascii true"
- echo
- exit 1
-fi
-
-exec git diff-index --check --cached $against --
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/pre-rebase.sample
new/build-2011.09.26/.git/hooks/pre-rebase.sample
--- old/build-2011.07.01/.git/hooks/pre-rebase.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/pre-rebase.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,169 +0,0 @@
-#!/bin/sh
-#
-# Copyright (c) 2006, 2008 Junio C Hamano
-#
-# The "pre-rebase" hook is run just before "git rebase" starts doing
-# its job, and can prevent the command from running by exiting with
-# non-zero status.
-#
-# The hook is called with the following parameters:
-#
-# $1 -- the upstream the series was forked from.
-# $2 -- the branch being rebased (or empty when rebasing the current branch).
-#
-# This sample shows how to prevent topic branches that are already
-# merged to 'next' branch from getting rebased, because allowing it
-# would result in rebasing already published history.
-
-publish=next
-basebranch="$1"
-if test "$#" = 2
-then
- topic="refs/heads/$2"
-else
- topic=`git symbolic-ref HEAD` ||
- exit 0 ;# we do not interrupt rebasing detached HEAD
-fi
-
-case "$topic" in
-refs/heads/??/*)
- ;;
-*)
- exit 0 ;# we do not interrupt others.
- ;;
-esac
-
-# Now we are dealing with a topic branch being rebased
-# on top of master. Is it OK to rebase it?
-
-# Does the topic really exist?
-git show-ref -q "$topic" || {
- echo >&2 "No such branch $topic"
- exit 1
-}
-
-# Is topic fully merged to master?
-not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
-if test -z "$not_in_master"
-then
- echo >&2 "$topic is fully merged to master; better remove it."
- exit 1 ;# we could allow it, but there is no point.
-fi
-
-# Is topic ever merged to next? If so you should not be rebasing it.
-only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
-only_next_2=`git rev-list ^master ${publish} | sort`
-if test "$only_next_1" = "$only_next_2"
-then
- not_in_topic=`git rev-list "^$topic" master`
- if test -z "$not_in_topic"
- then
- echo >&2 "$topic is already up-to-date with master"
- exit 1 ;# we could allow it, but there is no point.
- else
- exit 0
- fi
-else
- not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
- /usr/bin/perl -e '
- my $topic = $ARGV[0];
- my $msg = "* $topic has commits already merged to public
branch:\n";
- my (%not_in_next) = map {
- /^([0-9a-f]+) /;
- ($1 => 1);
- } split(/\n/, $ARGV[1]);
- for my $elem (map {
- /^([0-9a-f]+) (.*)$/;
- [$1 => $2];
- } split(/\n/, $ARGV[2])) {
- if (!exists $not_in_next{$elem->[0]}) {
- if ($msg) {
- print STDERR $msg;
- undef $msg;
- }
- print STDERR " $elem->[1]\n";
- }
- }
- ' "$topic" "$not_in_next" "$not_in_master"
- exit 1
-fi
-
-exit 0
-
-################################################################
-
-This sample hook safeguards topic branches that have been
-published from being rewound.
-
-The workflow assumed here is:
-
- * Once a topic branch forks from "master", "master" is never
- merged into it again (either directly or indirectly).
-
- * Once a topic branch is fully cooked and merged into "master",
- it is deleted. If you need to build on top of it to correct
- earlier mistakes, a new topic branch is created by forking at
- the tip of the "master". This is not strictly necessary, but
- it makes it easier to keep your history simple.
-
- * Whenever you need to test or publish your changes to topic
- branches, merge them into "next" branch.
-
-The script, being an example, hardcodes the publish branch name
-to be "next", but it is trivial to make it configurable via
-$GIT_DIR/config mechanism.
-
-With this workflow, you would want to know:
-
-(1) ... if a topic branch has ever been merged to "next". Young
- topic branches can have stupid mistakes you would rather
- clean up before publishing, and things that have not been
- merged into other branches can be easily rebased without
- affecting other people. But once it is published, you would
- not want to rewind it.
-
-(2) ... if a topic branch has been fully merged to "master".
- Then you can delete it. More importantly, you should not
- build on top of it -- other people may already want to
- change things related to the topic as patches against your
- "master", so if you need further changes, it is better to
- fork the topic (perhaps with the same name) afresh from the
- tip of "master".
-
-Let's look at this example:
-
- o---o---o---o---o---o---o---o---o---o "next"
- / / / /
- / a---a---b A / /
- / / / /
- / / c---c---c---c B /
- / / / \ /
- / / / b---b C \ /
- / / / / \ /
- ---o---o---o---o---o---o---o---o---o---o---o "master"
-
-
-A, B and C are topic branches.
-
- * A has one fix since it was merged up to "next".
-
- * B has finished. It has been fully merged up to "master" and "next",
- and is ready to be deleted.
-
- * C has not merged to "next" at all.
-
-We would want to allow C to be rebased, refuse A, and encourage
-B to be deleted.
-
-To compute (1):
-
- git rev-list ^master ^topic next
- git rev-list ^master next
-
- if these match, topic has not merged in next at all.
-
-To compute (2):
-
- git rev-list master..topic
-
- if this is empty, it is fully merged to "master".
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore'
old/build-2011.07.01/.git/hooks/prepare-commit-msg.sample
new/build-2011.09.26/.git/hooks/prepare-commit-msg.sample
--- old/build-2011.07.01/.git/hooks/prepare-commit-msg.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/prepare-commit-msg.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,36 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to prepare the commit log message.
-# Called by "git commit" with the name of the file that has the
-# commit message, followed by the description of the commit
-# message's source. The hook's purpose is to edit the commit
-# message file. If the hook fails with a non-zero status,
-# the commit is aborted.
-#
-# To enable this hook, rename this file to "prepare-commit-msg".
-
-# This hook includes three examples. The first comments out the
-# "Conflicts:" part of a merge commit.
-#
-# The second includes the output of "git diff --name-status -r"
-# into the message, just before the "git status" output. It is
-# commented because it doesn't cope with --amend or with squashed
-# commits.
-#
-# The third example adds a Signed-off-by line to the message, that can
-# still be edited. This is rarely a good idea.
-
-case "$2,$3" in
- merge,)
- /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/;
print' "$1" ;;
-
-# ,|template,)
-# /usr/bin/perl -i.bak -pe '
-# print "\n" . `git diff --cached --name-status -r`
-# if /^#/ && $first++ == 0' "$1" ;;
-
- *) ;;
-esac
-
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/hooks/update.sample
new/build-2011.09.26/.git/hooks/update.sample
--- old/build-2011.07.01/.git/hooks/update.sample 2011-07-01
09:25:56.000000000 +0200
+++ new/build-2011.09.26/.git/hooks/update.sample 1970-01-01
01:00:00.000000000 +0100
@@ -1,128 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to blocks unannotated tags from entering.
-# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
-#
-# To enable this hook, rename this file to "update".
-#
-# Config
-# ------
-# hooks.allowunannotated
-# This boolean sets whether unannotated tags will be allowed into the
-# repository. By default they won't be.
-# hooks.allowdeletetag
-# This boolean sets whether deleting tags will be allowed in the
-# repository. By default they won't be.
-# hooks.allowmodifytag
-# This boolean sets whether a tag may be modified after creation. By default
-# it won't be.
-# hooks.allowdeletebranch
-# This boolean sets whether deleting branches will be allowed in the
-# repository. By default they won't be.
-# hooks.denycreatebranch
-# This boolean sets whether remotely creating branches will be denied
-# in the repository. By default this is allowed.
-#
-
-# --- Command line
-refname="$1"
-oldrev="$2"
-newrev="$3"
-
-# --- Safety check
-if [ -z "$GIT_DIR" ]; then
- echo "Don't run this script from the command line." >&2
- echo " (if you want, you could supply GIT_DIR then run" >&2
- echo " $0 <ref> <oldrev> <newrev>)" >&2
- exit 1
-fi
-
-if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
- echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
- exit 1
-fi
-
-# --- Config
-allowunannotated=$(git config --bool hooks.allowunannotated)
-allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
-denycreatebranch=$(git config --bool hooks.denycreatebranch)
-allowdeletetag=$(git config --bool hooks.allowdeletetag)
-allowmodifytag=$(git config --bool hooks.allowmodifytag)
-
-# check for no description
-projectdesc=$(sed -e '1q' "$GIT_DIR/description")
-case "$projectdesc" in
-"Unnamed repository"* | "")
- echo "*** Project description file hasn't been set" >&2
- exit 1
- ;;
-esac
-
-# --- Check types
-# if $newrev is 0000...0000, it's a commit to delete a ref.
-zero="0000000000000000000000000000000000000000"
-if [ "$newrev" = "$zero" ]; then
- newrev_type=delete
-else
- newrev_type=$(git cat-file -t $newrev)
-fi
-
-case "$refname","$newrev_type" in
- refs/tags/*,commit)
- # un-annotated tag
- short_refname=${refname##refs/tags/}
- if [ "$allowunannotated" != "true" ]; then
- echo "*** The un-annotated tag, $short_refname, is not
allowed in this repository" >&2
- echo "*** Use 'git tag [ -a | -s ]' for tags you want
to propagate." >&2
- exit 1
- fi
- ;;
- refs/tags/*,delete)
- # delete tag
- if [ "$allowdeletetag" != "true" ]; then
- echo "*** Deleting a tag is not allowed in this
repository" >&2
- exit 1
- fi
- ;;
- refs/tags/*,tag)
- # annotated tag
- if [ "$allowmodifytag" != "true" ] && git rev-parse $refname >
/dev/null 2>&1
- then
- echo "*** Tag '$refname' already exists." >&2
- echo "*** Modifying a tag is not allowed in this
repository." >&2
- exit 1
- fi
- ;;
- refs/heads/*,commit)
- # branch
- if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
- echo "*** Creating a branch is not allowed in this
repository" >&2
- exit 1
- fi
- ;;
- refs/heads/*,delete)
- # delete branch
- if [ "$allowdeletebranch" != "true" ]; then
- echo "*** Deleting a branch is not allowed in this
repository" >&2
- exit 1
- fi
- ;;
- refs/remotes/*,commit)
- # tracking branch
- ;;
- refs/remotes/*,delete)
- # delete tracking branch
- if [ "$allowdeletebranch" != "true" ]; then
- echo "*** Deleting a tracking branch is not allowed in
this repository" >&2
- exit 1
- fi
- ;;
- *)
- # Anything else (is there anything else?)
- echo "*** Update hook: unknown type of update to ref $refname
of type $newrev_type" >&2
- exit 1
- ;;
-esac
-
-# --- Finished
-exit 0
Files old/build-2011.07.01/.git/index and new/build-2011.09.26/.git/index differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/info/exclude
new/build-2011.09.26/.git/info/exclude
--- old/build-2011.07.01/.git/info/exclude 2011-07-01 09:25:56.000000000
+0200
+++ new/build-2011.09.26/.git/info/exclude 1970-01-01 01:00:00.000000000
+0100
@@ -1,6 +0,0 @@
-# git ls-files --others --exclude-from=.git/info/exclude
-# Lines that start with '#' are comments.
-# For a project mostly in C, the following would be a good set of
-# exclude patterns (uncomment them if you want to use them):
-# *.[oa]
-# *~
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/logs/HEAD
new/build-2011.09.26/.git/logs/HEAD
--- old/build-2011.07.01/.git/logs/HEAD 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/.git/logs/HEAD 1970-01-01 01:00:00.000000000 +0100
@@ -1 +0,0 @@
-0000000000000000000000000000000000000000
b037032674406bc2935cb65115b8e2aad98e3974 Adrian Schröter <adrian@xxxxxxx>
1309505157 +0200 clone: from git://gitorious.org/opensuse/build.git
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/logs/refs/heads/master
new/build-2011.09.26/.git/logs/refs/heads/master
--- old/build-2011.07.01/.git/logs/refs/heads/master 2011-07-01
09:25:57.000000000 +0200
+++ new/build-2011.09.26/.git/logs/refs/heads/master 1970-01-01
01:00:00.000000000 +0100
@@ -1 +0,0 @@
-0000000000000000000000000000000000000000
b037032674406bc2935cb65115b8e2aad98e3974 Adrian Schröter <adrian@xxxxxxx>
1309505157 +0200 clone: from git://gitorious.org/opensuse/build.git
Files
old/build-2011.07.01/.git/objects/pack/pack-c697ee5263143be6fe2b42cc58a04ce39673e511.idx
and
new/build-2011.09.26/.git/objects/pack/pack-c697ee5263143be6fe2b42cc58a04ce39673e511.idx
differ
Files
old/build-2011.07.01/.git/objects/pack/pack-c697ee5263143be6fe2b42cc58a04ce39673e511.pack
and
new/build-2011.09.26/.git/objects/pack/pack-c697ee5263143be6fe2b42cc58a04ce39673e511.pack
differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/packed-refs
new/build-2011.09.26/.git/packed-refs
--- old/build-2011.07.01/.git/packed-refs 2011-07-01 09:25:57.000000000
+0200
+++ new/build-2011.09.26/.git/packed-refs 1970-01-01 01:00:00.000000000
+0100
@@ -1,4 +0,0 @@
-# pack-refs with: peeled
-4e616df18f2805b6cdb4d674cf6e0cb27798a73a refs/tags/obs_2.0
-4acd145bf4dbff921f1d16977d5a707e3234cead refs/remotes/origin/obs_2.0
-b037032674406bc2935cb65115b8e2aad98e3974 refs/remotes/origin/master
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/refs/heads/master
new/build-2011.09.26/.git/refs/heads/master
--- old/build-2011.07.01/.git/refs/heads/master 2011-07-01 09:25:57.000000000
+0200
+++ new/build-2011.09.26/.git/refs/heads/master 1970-01-01 01:00:00.000000000
+0100
@@ -1 +0,0 @@
-b037032674406bc2935cb65115b8e2aad98e3974
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/refs/remotes/origin/HEAD
new/build-2011.09.26/.git/refs/remotes/origin/HEAD
--- old/build-2011.07.01/.git/refs/remotes/origin/HEAD 2011-07-01
09:25:57.000000000 +0200
+++ new/build-2011.09.26/.git/refs/remotes/origin/HEAD 1970-01-01
01:00:00.000000000 +0100
@@ -1 +0,0 @@
-ref: refs/remotes/origin/master
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/.git/shallow
new/build-2011.09.26/.git/shallow
--- old/build-2011.07.01/.git/shallow 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/.git/shallow 1970-01-01 01:00:00.000000000 +0100
@@ -1,3 +0,0 @@
-23bfa1b1ab1db2f2b4f999a04ff2cdc7e9f29005
-59d713d8bd77fa846a540bdcc8b67a89b0de3263
-f88c00cc11e5ee612d6fc38d89c4d7250a9b89c0
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/Build/Kiwi.pm
new/build-2011.09.26/Build/Kiwi.pm
--- old/build-2011.07.01/Build/Kiwi.pm 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/Build/Kiwi.pm 2011-09-26 22:33:46.000000000 +0200
@@ -231,6 +231,12 @@
push @additionalarchs, split(',', $package->{'onlyarch'}) if
$package->{'onlyarch'};
}
@requiredarch = unify(@requiredarch, @additionalarchs);
+
+ #### FIXME: kiwi files have no informations where to get -32bit packages from
+ push @requiredarch, "i586" if grep {/^ia64/} @requiredarch;
+ push @requiredarch, "i586" if grep {/^x86_64/} @requiredarch;
+ push @requiredarch, "ppc" if grep {/^ppc64/} @requiredarch;
+ push @requiredarch, "s390" if grep {/^s390x/} @requiredarch;

my @fallbackarchs;
for my $arch (@requiredarch) {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/Build/Rpm.pm
new/build-2011.09.26/Build/Rpm.pm
--- old/build-2011.07.01/Build/Rpm.pm 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/Build/Rpm.pm 2011-09-26 22:33:46.000000000 +0200
@@ -112,6 +112,48 @@
}
}

+sub adaptmacros {
+ my ($macros, $optold, $optnew) = @_;
+ for (keys %$optold) {
+ delete $macros->{$_};
+ }
+ for (keys %$optnew) {
+ $macros->{$_} = $optnew->{$_};
+ }
+ return $optnew;
+}
+
+sub grabargs {
+ my ($macname, $getopt, @args) = @_;
+ my %m;
+ $m{'0'} = $macname;
+ $m{'**'} = join(' ', @args);
+ my %go = split(/(:?)/, $getopt);
+ while (@args && $args[0] =~ s/^-//) {
+ my $o = shift @args;
+ last if $o eq '-';
+ while ($o =~ /^(.)(.*)$/) {
+ if ($go{$1}) {
+ my $arg = $2;
+ $arg = shift(@args) if @args && $arg eq '';
+ $m{"-$1"} = "-$1 $arg";
+ $m{"-$1*"} = $arg;
+ last;
+ }
+ $m{"-$1"} = "-$1";
+ $o = $2;
+ }
+ }
+ $m{'#'} = scalar(@args);
+ my $i = 1;
+ for (@args) {
+ $m{$i} = $_;
+ $i++;
+ }
+ $m{'*'} = join(' ', @args);
+ return \%m;
+}
+
# xspec may be passed as array ref to return the parsed spec files
# an entry in the returned array can be
# - a string: verbatim line from the original file
@@ -133,6 +175,7 @@
my $hasnfb;
my $nfbline;
my %macros;
+ my %macros_args;
my $ret = {};
my $ifdeps;

@@ -191,10 +234,13 @@
next unless $line =~ /^#!BuildIgnore/;
}
my $expandedline = '';
- if (!$skip) {
+ if (!$skip && ($line =~ /%/)) {
my $tries = 0;
+ my @expandstack;
+ my $optmacros = {};
# newer perls: \{((?:(?>[^{}]+)|(?2))*)\}
- while ($line =~ /^(.*?)%(\{([^\}]+)\}|[\?\!]*[0-9a-zA-Z_]+|%|\()(.*?)$/)
{
+reexpand:
+ while ($line =~
/^(.*?)%(\{([^\}]+)\}|[\?\!]*[0-9a-zA-Z_]+|%|\*\*?|#|\()(.*?)$/) {
if ($tries++ > 1000) {
print STDERR "Warning: spec file parser ",($lineno?" line
$lineno":''),": macro too deeply nested\n" if $config->{'warnings'};
$line = 'MACRO';
@@ -204,12 +250,25 @@
$line = $4;
my $macname = defined($3) ? $3 : $2;
my $macorig = $2;
- if (defined($3) && $macname =~ /{/) {
- while (($macname =~ y/{/{/) > ($macname =~ y/}/}/)) {
- last unless $line =~ /^([^}]*)}(.*)$/;
- $macname .= "}$1";
- $macorig .= "$1}";
- $line = $2;
+ my $macdata;
+ my $macalt;
+ if (defined($3)) {
+ if ($macname =~ /{/) { # {
+ while (($macname =~ y/{/{/) > ($macname =~ y/}/}/)) {
+ last unless $line =~ /^([^}]*)}(.*)$/;
+ $macname .= "}$1";
+ $macorig .= "$1}";
+ $line = $2;
+ }
+ }
+ $macdata = '';
+ if ($macname =~ /^([^\s:]+)([\s:])(.*)$/) {
+ $macname = $1;
+ if ($2 eq ':') {
+ $macalt = $3;
+ } else {
+ $macdata = $3;
+ }
}
}
my $mactest = 0;
@@ -219,9 +278,6 @@
$mactest = 1;
}
$macname =~ s/^[\!\?]+//;
- $macname =~ s/^([^:\s]*)\s.*/$1/;
- my $macalt;
- ($macname, $macalt) = split(':', $macname, 2);
if ($macname eq '%') {
$expandedline .= '%';
next;
@@ -234,7 +290,11 @@
my $macname = $1;
my $macargs = $2;
my $macbody = $3;
- $macbody = undef if $macargs;
+ if (defined $macargs) {
+ $macros_args{$macname} = $macargs;
+ } else {
+ delete $macros_args{$macname};
+ }
$macros{$macname} = $macbody;
}
$line = '';
@@ -259,12 +319,31 @@
}
$args[0] = "with_$args[0]" if $macname eq 'with' || $macname eq
'without';
$line = ((exists($macros{$args[0]}) ? 1 : 0) ^ ($macname eq
'undefined' || $macname eq 'without' ? 1 : 0)).$line;
+ } elsif ($macname eq 'expand') {
+ $macalt = $macros{$macname} unless defined $macalt;
+ $macalt = '' if $mactest == -1;
+ push @expandstack, ($expandedline, $line, undef);
+ $line = $macalt;
+ $expandedline = '';
} elsif (exists($macros{$macname})) {
if (!defined($macros{$macname})) {
print STDERR "Warning: spec file parser",($lineno?" line
$lineno":''),": can't expand '$macname'\n" if $config->{'warnings'};
$line = 'MACRO';
last;
}
+ if ($macros_args{$macname}) {
+ # macro with args!
+ if (!defined($macdata)) {
+ $line =~ /^\s*([^\n]*).*?$/;
+ $macdata = $1;
+ $line = $2;
+ }
+ push @expandstack, ($expandedline, $line, $optmacros);
+ $optmacros = adaptmacros(\%macros, $optmacros, grabargs($macname,
$macros_args{$macname}, split(/ /, $macdata)));
+ $line = $macros{$macname};
+ $expandedline = '';
+ next;
+ }
$macalt = $macros{$macname} unless defined $macalt;
$macalt = '' if $mactest == -1;
$line = "$macalt$line";
@@ -272,11 +351,22 @@
$macalt = '' if !defined($macalt) || $mactest == 1;
$line = "$macalt$line";
} else {
- $expandedline .= "%$macorig";
+ $expandedline .= "%$macorig" unless $macname =~ /^-/;
+ }
+ }
+ $line = $expandedline . $line;
+ if (@expandstack) {
+ my $m = pop(@expandstack);
+ if ($m) {
+ $optmacros = adaptmacros(\%macros, $optmacros, $m);
+ $expandstack[-2] .= $line;
+ $line = '';
}
+ $line = $line . pop(@expandstack);
+ $expandedline = pop(@expandstack);
+ goto reexpand;
}
}
- $line = $expandedline . $line;
if ($line =~ /^\s*%else\b/) {
$skip = 1 - $skip if $skip < 2;
next;
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/build new/build-2011.09.26/build
--- old/build-2011.07.01/build 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/build 2011-09-26 22:33:46.000000000 +0200
@@ -86,11 +86,11 @@
SIGNDUMMY=

# list of archs which need emulator initialization
-: ${EMULATOR_ARCHS:="armv4l armv5el armv6el armv7el armv7hl armv8el mips
mipsel mips64 mips64el ppc ppc64 sh4"}
+: ${EMULATOR_ARCHS:="armv4l armv5el armv6el armv7el armv7hl armv8el mips
mipsel mips64 mips64el ppc ppc64 sh4 sparc sparc64 s390 s390x"}
export EMULATOR_ARCHS

# list of devices registered by binfmt handlers in /proc/sys/fs/binfmt_misc
-: ${EMULATOR_DEVS:="arm mips mipsel mips64 mips64el ppc sh4 sparc"}
+: ${EMULATOR_DEVS:="arm armeb mips mipsel mips64 mips64el ppc sh4 sh4eb sparc
s390x"}
export EMULATOR_DEVS

# This is for insserv
@@ -1010,8 +1010,8 @@
XENID="${XENID%/tmpfs}"
XENID="${XENID##*/}"
XENID="${XENID#root_}"
- if xm list "build:$XENID" >/dev/null 2>&1 ; then
- if ! xm destroy "build:$XENID" ; then
+ if xm list "build_$XENID" >/dev/null 2>&1 ; then
+ if ! xm destroy "build_$XENID" ; then
echo "could not kill xen build $XENID"
cleanup_and_exit 1
fi
@@ -1166,7 +1166,7 @@
XENID="${XENID%/tmpfs}"
XENID="${XENID##*/}"
XENID="${XENID#root_}"
- xm destroy "build:$XENID" >/dev/null 2>&1
+ xm destroy "build_$XENID" >/dev/null 2>&1
fi
if test ! -e "$VM_IMAGE"; then
echo "Creating $VM_IMAGE (${VMDISK_ROOTSIZE}M)"
@@ -1435,7 +1435,7 @@
fi

if check_use_emulator; then
- if [ -e $BUILD_DIR/initvm ]; then
+ if [ -x "$BUILD_DIR/initvm" -a -e "$BUILD_DIR/qemu-reg" ]; then
vm_init_script="/.build/initvm"
elif [ -e $BUILD_DIR/initscript_qemu_vm ]; then
vm_init_script="/.build/initscript_qemu_vm"
@@ -1462,7 +1462,7 @@
XENID="${XENID#root_}"

echo "booting XEN kernel ..."
- if xm list "build:$XENID" >/dev/null 2>&1 ; then
+ if xm list "build_$XENID" >/dev/null 2>&1 ; then
echo "Instance already exist, something really went wrong..."
echo "Please report to your server admin, there might be
multiple services running for same domain"
cleanup_and_exit 3
@@ -1477,7 +1477,7 @@
echo "on_poweroff = 'destroy'"
>> $XEN_CONF_FILE
echo "on_reboot = 'destroy'"
>> $XEN_CONF_FILE
echo "on_crash = 'destroy'"
>> $XEN_CONF_FILE
- set -- xm create -c $XEN_CONF_FILE name="build:$XENID" $XMROOT
$XMSWAP extra="quiet init="$vm_init_script" elevator=noop panic=1 console=ttyS0"
+ set -- xm create -c $XEN_CONF_FILE name="build_$XENID" $XMROOT
$XMSWAP extra="quiet init="$vm_init_script" elevator=noop panic=1 console=ttyS0"
if test "$PERSONALITY" != 0 ; then
# have to switch back to PER_LINUX to make xm work
set -- linux64 "$@"
@@ -1493,10 +1493,15 @@
elif [ "$VM_TYPE" = 'qemu' -o "$VM_TYPE" = 'kvm' ]; then
echo "booting $VM_TYPE ..."
if [ "$kvm_virtio" = 1 ]; then
- qemu_args=(-drive file="$VM_IMAGE",if=virtio -hda
"$VM_IMAGE")
+ CACHE=""
+ if [ "$VM_TYPE" = 'kvm' -a -b "$VM_IMAGE" ]; then
+ # speed optimization when using kvm with raw devices
+ CACHE=",cache=none"
+ fi
+ qemu_args=(-drive file="$VM_IMAGE",if=virtio$CACHE -hda
"$VM_IMAGE")
if [ -n "$VM_SWAP" ]; then
qemu_args=("${qemu_args[@]}" "-drive")
- qemu_args=("${qemu_args[@]}" "file=$VM_SWAP,if=virtio")
+ qemu_args=("${qemu_args[@]}"
"file=$VM_SWAP,if=virtio$CACHE")
fi
else
qemu_args=(-hda "$VM_IMAGE")
@@ -1508,13 +1513,13 @@
if [ -n "$BUILD_JOBS" -a "$icecream" = 0 ]; then
qemu_args=("${qemu_args[@]}" "-smp" "$BUILD_JOBS")
fi
- # workaround a bug in qemu-kvm where wrong cpuid can get set
- KVM64_WORKAROUND=""
- if [ "$PERSONALITY" != 0 -a "$VM_TYPE" = 'kvm' ]; then
- KVM64_WORKAROUND="-cpu kvm64"
+ # cpuid is not set correctly in kvm without this
+ KVM_OPTIONS=""
+ if [ "$VM_TYPE" = 'kvm' ]; then
+ KVM_OPTIONS="-cpu host"
fi

- set -- $qemu_bin -no-reboot -nographic -net none
$KVM64_WORKAROUND \
+ set -- $qemu_bin -no-reboot -nographic -net none $KVM_OPTIONS \
-kernel $vm_kernel \
-initrd $vm_initrd \
-append "root=$qemu_rootdev panic=1 quiet no-kvmclock rw
elevator=noop console=ttyS0 init=$vm_init_script" \
@@ -1551,7 +1556,7 @@
BUILDSTATUS[02])
mkdir -p $BUILD_ROOT/.build.packages
cd $BUILD_ROOT/.build.packages || cleanup_and_exit 1
- echo "build: extracting built packages..."
+ echo "build_ extracting built packages..."
extractbuild --disk "$VM_IMAGE" --input "$VM_SWAP" --skip 512
-v || cleanup_and_exit 3
# create same layout as with plain chroot
if test "$BUILDTYPE" = spec ; then
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/extractbuild
new/build-2011.09.26/extractbuild
--- old/build-2011.07.01/extractbuild 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/extractbuild 2011-09-26 22:33:46.000000000 +0200
@@ -50,8 +50,8 @@
chomp;
last unless length $_;
my ($file, $filesize, $blksize, @blocks) = split(/ /);
- if($#blocks == -1) {
- die "invalid input\n";
+ if($#blocks == -1 && $filesize) {
+ die "invalid input '$_'\n";
}
$filesize = int($filesize);
$blksize = int($blksize);
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/init_buildsystem
new/build-2011.09.26/init_buildsystem
--- old/build-2011.07.01/init_buildsystem 2011-07-01 09:25:57.000000000
+0200
+++ new/build-2011.09.26/init_buildsystem 2011-09-26 22:33:46.000000000
+0200
@@ -355,35 +355,64 @@
# fall back to initscript_qemu_vm shell script with corresponding static
# bash and mount programs.
#
+
+check_copy_qemu()
+{
+ local arch
+
+ for arch in $EMULATOR_DEVS; do
+ if test -e $BUILD_DIR/qemu-$arch; then
+ return 0
+ fi
+ done
+ return 1
+}
+
copy_qemu()
{
- local dev dir path dest
+ local path dest

echo "copying qemu"

mkdir -p $BUILD_ROOT/usr/bin
- for dev in $EMULATOR_DEVS; do
- for dir in $BUILD_DIR /usr/bin; do
- for path in $dir/qemu-${dev}*; do
- if file $path | grep -q static; then
- dest="$BUILD_ROOT/usr/bin/${path##*/}"
- if [ -f "$path" -a ! -x "$dest" ]; then
- echo -n " $path" # report copy
- install -m755 "$path" "$dest"
- fi
+
+ if check_copy_qemu; then
+
+ for path in $BUILD_DIR/qemu-*; do
+ if file $path | grep -q static; then
+ dest="$BUILD_ROOT/usr/bin/${path##*/}"
+ if [ -f "$path" -a ! -x "$dest" ]; then
+ echo -n " $path" # report copy
+ #echo install -m755 "$path" "$dest"
+ install -m755 "$path" "$dest"
fi
- done
+ fi
done
- done
+
+ else
+
+ for path in /usr/bin/qemu-*; do
+ if file $path | grep -q static; then
+ dest="$BUILD_ROOT/usr/bin/${path##*/}"
+ if [ -f "$path" -a ! -x "$dest" ]; then
+ echo -n " $path" # report copy
+ #echo install -m755 "$path" "$dest"
+ install -m755 "$path" "$dest"
+ fi
+ fi
+ done
+
+ if [ -e /usr/sbin/qemu-binfmt-conf.sh \
+ -a ! -e $BUILD_ROOT/usr/sbin/qemu-binfmt-conf.sh ]; then
+ echo " /usr/sbin/qemu-binfmt-conf.sh" # report copy
+ mkdir -p $BUILD_ROOT/usr/sbin
+ install -m755 /usr/sbin/qemu-binfmt-conf.sh $BUILD_ROOT/usr/sbin
+ fi
+
+ fi
echo ""

# Below for backward compatibility when /.build/initvm is not present
- if [ -e /usr/sbin/qemu-binfmt-conf.sh \
- -a ! -e $BUILD_ROOT/usr/sbin/qemu-binfmt-conf.sh ]; then
- echo " /usr/sbin/qemu-binfmt-conf.sh" # report copy
- mkdir -p $BUILD_ROOT/usr/sbin
- install -m755 /usr/sbin/qemu-binfmt-conf.sh $BUILD_ROOT/usr/sbin
- fi

if [ -n "$PREPARE_VM" ]; then
if [ -x /bin/bash-static -a -x /bin/mount-static ]; then
@@ -576,16 +605,11 @@
if [ -z "$PREPARE_VM" ]; then
if ! check_binfmt_registered; then
echo "registering binfmt handlers"
- # prefer initvm over qemu-binfmt-conf.sh
- success=false
- for cmd in $BUILD_DIR/initvm /usr/sbin/qemu-binfmt-conf.sh
- do
- if [ -x $cmd ] && $cmd; then
- success=true
- break
- fi
- done
- if [ success = false ]; then
+ if [ -x "$BUILD_DIR/initvm" -a -e "$BUILD_DIR/qemu-reg" ]; then
+ $BUILD_DIR/initvm
+ elif [ -x /usr/sbin/qemu-binfmt-conf.sh ]; then
+ /usr/sbin/qemu-binfmt-conf.sh
+ else
echo "Warning: could not register binfmt handlers"
fi
fi
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/qemu-reg
new/build-2011.09.26/qemu-reg
--- old/build-2011.07.01/qemu-reg 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/qemu-reg 2011-09-26 22:33:46.000000000 +0200
@@ -13,4 +13,5 @@

#:mips64el:M::\x7fELF\x02\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x08\x00:\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff:/usr/bin/qemu-mips64el:


:sh4:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x2a\x00:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff\xff:/usr/bin/qemu-sh4:
-:sh4eb:M::\x7fELF\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x2a:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff:/usr/bin/qemu-sh4eb:'
+:sh4eb:M::\x7fELF\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x2a:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfe\xff\xff:/usr/bin/qemu-sh4eb:
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/build-2011.07.01/substitutedeps
new/build-2011.09.26/substitutedeps
--- old/build-2011.07.01/substitutedeps 2011-07-01 09:25:57.000000000 +0200
+++ new/build-2011.09.26/substitutedeps 2011-09-26 22:33:46.000000000 +0200
@@ -117,6 +117,7 @@
my $spec_rel = $1; # User-provided value
my $oldl = $line;
if (defined $release) {
+ $line =~ s/<SPEC_REL>/$spec_rel/;
if (!($line =~ s/<RELEASE\d*>/$release/g)) {
if ($line =~ /<(?:CI_CNT|B_CNT)>/) {
# XXX: should pass ci_cnt/b_cnt instead
@@ -133,7 +134,6 @@
$line =~ s/^(Release:\s*).*/$1$release/i;
}
}
- $line =~ s/<SPEC_REL>/$spec_rel/;
} else {
# remove macros, as rpm doesn't like them
$line =~ s/<RELEASE\d*>/0/;

++++++ build.dsc ++++++
--- /var/tmp/diff_new_pack.uKKTFI/_old 2011-09-27 16:07:53.000000000 +0200
+++ /var/tmp/diff_new_pack.uKKTFI/_new 2011-09-27 16:07:53.000000000 +0200
@@ -1,6 +1,6 @@
Format: 1.0
Source: build
-Version: 2011.07.01
+Version: 2011.09.26
Binary: build
Maintainer: Adrian Schroeter <adrian@xxxxxxx>
Architecture: all

++++++ debian.changelog ++++++
--- /var/tmp/diff_new_pack.uKKTFI/_old 2011-09-27 16:07:53.000000000 +0200
+++ /var/tmp/diff_new_pack.uKKTFI/_new 2011-09-27 16:07:53.000000000 +0200
@@ -1,3 +1,9 @@
+build (2011.09.26-1) unstable; urgency=low
+
+ * Update to current git trunk
+
+ -- Adrian Schroeter <adrian@xxxxxxx> Fri, 01 Jul 2010 10:03:54 +0200
+
build (2011.07.01-1) unstable; urgency=low

* Update to current git trunk


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages